Loading...
Searching...
No Matches
osmo_iuup_rnl_config Struct Reference

`#include <iuup.h>`

## Data Fields

bool | transparent
bool | active
uint8_t | data_pdu_type
uint16_t | supported_versions_mask
uint8_t | num_rfci
uint8_t | num_subflows
bool | IPTIs_present
struct osmo_iuup_rfci | rfci [IUUP_MAX_RFCIS]
struct osmo_iuup_rnl_config_timer | t_init
struct osmo_iuup_rnl_config_timer | t_ta
struct osmo_iuup_rnl_config_timer | t_rc

## Field Documentation

## active

bool osmo_iuup_rnl_config::active

Referenced by iuup_fsm_init_on_enter().

## data_pdu_type

uint8_t osmo_iuup_rnl_config::data_pdu_type

Referenced by irp_init_ind_alloc(), iuup_rx_initialization(), rnl_to_tnl_data(), and tnp_ctrl_init_alloc().

## IPTIs_present

bool osmo_iuup_rnl_config::IPTIs_present

Referenced by irp_init_ind_alloc(), iuup_rx_initialization(), and tnp_ctrl_init_alloc().

## num_rfci

uint8_t osmo_iuup_rnl_config::num_rfci

Referenced by irp_init_ind_alloc(), iuup_rx_initialization(), and tnp_ctrl_init_alloc().

## num_subflows

uint8_t osmo_iuup_rnl_config::num_subflows

Referenced by irp_init_ind_alloc(), iuup_rx_initialization(), and tnp_ctrl_init_alloc().

## rfci

struct osmo_iuup_rfci osmo_iuup_rnl_config::rfci[IUUP_MAX_RFCIS]

Referenced by irp_init_ind_alloc(), iuup_rx_initialization(), and tnp_ctrl_init_alloc().

## supported_versions_mask

uint16_t osmo_iuup_rnl_config::supported_versions_mask

Referenced by iuup_fsm_null(), iuup_rx_initialization(), and tnp_ctrl_init_alloc().

## t_init

struct osmo_iuup_rnl_config_timer osmo_iuup_rnl_config::t_init

Referenced by iuup_fsm_init(), iuup_fsm_timer_cb(), and retransmit_initialization().

## t_rc

struct osmo_iuup_rnl_config_timer osmo_iuup_rnl_config::t_rc

## t_ta

struct osmo_iuup_rnl_config_timer osmo_iuup_rnl_config::t_ta

## transparent

bool osmo_iuup_rnl_config::transparent

Referenced by iuup_fsm_null().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/iuup.h